import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { createContext, useContext } from "react";
import { Box, Text } from "ink";
export const OrderedListItemContext = createContext({ marker: "" });
export function OrderedListItem(props) {
    const { marker } = useContext(OrderedListItemContext);
    return (_jsxs(Box, { flexDirection: "row", children: [_jsx(Text, { color: "gray", children: marker }), _jsx(Text, { children: " " }), _jsx(Box, { flexDirection: "column", children: props.children })] }));
}
